import request from '@/utils/request';

export function _addTemplate(data){ 
    return request({
        url: '/FirstTemplate/AddTemplate',
        method: 'post',
        data:data
    })
}

export function _updateTemplate(data){
    return request({
        url: '/FirstTemplate/UpdateTemplate',
        method: 'post',
        data:data
    })
}
 
export function _getTemplateDto(templateId){
    return request({
        url: '/FirstTemplate/GetTemplateDto',
        method: 'get',
        params: {templateId}
    })

}

export function _getFinanceFirstTemplateDtos(){
    return request({
        url: '/FirstTemplate/GetFinanceFirstTemplateDtos',
        method: 'get'
    })

}

export function _remoreTemplate(data){
    return request({
        url: '/FirstTemplate/RemoreTemplate',
        method: 'post',
        data:data
    }) 
}

export function _queryPager(data){
    return request({
        url: '/FirstTemplate/QueryPager',
        method: 'post',
        data:data
    })
}